"use strict";
// File generated from our OpenAPI spec
Object.defineProperty(exports, "__esModule", { value: true });
exports.RedactionJobs = void 0;
const StripeResource_js_1 = require("../../StripeResource.js");
const stripeMethod = StripeResource_js_1.StripeResource.method;
exports.RedactionJobs = StripeResource_js_1.StripeResource.extend({
    create: stripeMethod({
        method: 'POST',
        fullPath: '/v1/privacy/redaction_jobs',
    }),
    retrieve: stripeMethod({
        method: 'GET',
        fullPath: '/v1/privacy/redaction_jobs/{job}',
    }),
    update: stripeMethod({
        method: 'POST',
        fullPath: '/v1/privacy/redaction_jobs/{job}',
    }),
    list: stripeMethod({
        method: 'GET',
        fullPath: '/v1/privacy/redaction_jobs',
        methodType: 'list',
    }),
    cancel: stripeMethod({
        method: 'POST',
        fullPath: '/v1/privacy/redaction_jobs/{job}/cancel',
    }),
    listValidationErrors: stripeMethod({
        method: 'GET',
        fullPath: '/v1/privacy/redaction_jobs/{job}/validation_errors',
        methodType: 'list',
    }),
    run: stripeMethod({
        method: 'POST',
        fullPath: '/v1/privacy/redaction_jobs/{job}/run',
    }),
    validate: stripeMethod({
        method: 'POST',
        fullPath: '/v1/privacy/redaction_jobs/{job}/validate',
    }),
});
